<?php
require_once(__DIR__.'/../includes/sysinit.php');
require(SABLE_WORKING_PATH.'legal/legal_func.php');


//**********************************************************************************


$_SESSION['listParams']['searchVisible'] = 1;
if (isset($_POST))
{
	$_SESSION['listParams']['searchField'][0] = 'legal_name';
	$_SESSION['listParams']['searchField'][1] = 'legal_active';
}


$_SESSION['listParams']['listSql'] = "select legal_id, legal_name, legal_active
 from legal
";
$_SESSION['listParams']['module']	= "legal";


$_SESSION['listParams']['page']				    = 0;
$_SESSION['listParams']['offset']			    = 30; //the number of records to display per page
$_SESSION['listParams']['parentId']			  = ""; //
$_SESSION['listParams']['moduleFolder']		= "legal";
$_SESSION['listParams']['modulePage']      = "index.php";
$_SESSION['listParams']['moduleIdField']   = "legal_id";
$_SESSION['listParams']['moduleDescField']	= "legal_name";
$_SESSION['listParams']['orderField']		  = 1;
$_SESSION['listParams']['orderDirection']	= 0;


$_SESSION['listParams']['listHeadings'][0] = "Legal Name";
$_SESSION['listParams']['listHeadings'][1] = "Legal Active";


if ($_SESSION['user']['access_level'] >= 3) 
{
	$_SESSION['listParams']['listHeadings'][2] = ""; //view
}
if ($_SESSION['user']['access_level'] >= 6) 
{
	$_SESSION['listParams']['listHeadings'][3] = ""; //edit
}
if ($_SESSION['user']['access_level'] >= 9) 
{
	$_SESSION['listParams']['listHeadings'][4] = ""; //delete
}


$_SESSION['listParams']['listHeadingWidth'][0] = "21%";
$_SESSION['listParams']['listHeadingWidth'][1] = "21%";


if ($_SESSION['user']['access_level'] >= 3) 
{
	$_SESSION['listParams']['listHeadingWidth'][2] = "5%"; //view
}
if ($_SESSION['user']['access_level'] >= 6) 
{
	$_SESSION['listParams']['listHeadingWidth'][3] = "5%"; //edit
}
if ($_SESSION['user']['access_level'] >= 9) 
{
	$_SESSION['listParams']['listHeadingWidth'][4] = "99%"; //delete
}


$_SESSION['listParams']['listFields'][0]['field'] = "legal_name";
$_SESSION['listParams']['listFields'][1]['field'] = "legal_active";
$_SESSION['listParams']['listFields'][1]['yesNo'] = 1;
$_SESSION['listParams']['listFields'][1]['yesNoYes'] = "Yes";
$_SESSION['listParams']['listFields'][1]['yesNoNo']  = "No";
if ($_SESSION['user']['access_level'] >= 3) 
{
	$_SESSION['listParams']['listFields'][2]['field'] = "<i class='fa fa-2x ".SABLE_DATALIST_VIEW."' title='View --!--'></i>";
	$_SESSION['listParams']['listFields'][2]['onClick'] = " onClick='viewLegal(\"--#--\")' ";
}
if ($_SESSION['user']['access_level'] >= 6) 
{
	$_SESSION['listParams']['listFields'][3]['field'] = "<i class='fa fa-2x ".SABLE_DATALIST_EDIT."' title='Modify --!--'></i>";
	$_SESSION['listParams']['listFields'][3]['onClick'] = " onClick='editLegal(\"--#--\")' ";
}
if ($_SESSION['user']['access_level'] >= 9) 
{
	$_SESSION['listParams']['listFields'][4]['field'] = "<i class='fa fa-2x ".SABLE_DATALIST_DELETE."' title='Delete --!--'></i>";
	$_SESSION['listParams']['listFields'][4]['onClick'] = " onClick='deleteLegal(\"--#--\",\"--!--\")' ";
}
SableGeneralFunctions::callDataList();
?>
